apache tomcat 4.0.4 vulnerabilities and exploits

(subscribe to this query)

4.3
CVSSv2
CVE-2007-2449